Create a subscription discount
Creates a new subscription discount.
In: header
Header Parameters
Seller ID for Connect marketplace operations. Required when creating discounts on behalf of a seller.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/subscriptions/discounts" \ -H "Content-Type: application/json" \ -d '{ "name": "10% Off Monthly Plans", "description": "10% off all monthly subscription plans", "type": "shipping" }'{ "discount": { "id": "disc_12345", "name": "10% Off Monthly Plans", "code": "SAVE10", "description": "10% off all monthly subscription plans", "type": "total", "percentage_off": 10, "amount_off": 1099, "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z" }}Get all subscription discounts GET
Retrieves a list of all subscription discounts.
Subscription Webhooks POST
This request updates the merchant about statuses of their shoppers' subscriptions. The subscriptions' related events are: - `subscription_created` - `subscription_renewed` - `subscription_canceled` - `subscription_paused` - `subscription_unpaused` - `subscription_payment_failed` - `subscription_ended` Also see [API for managing webhooks](/api-reference/endpoints/webhooks/createwebhook/) for more details